Subject: bug#51517: GNU ELPA - SVG badge broken

From: Stefan Monnier <[email-masked]>
Date: Sun, 31 Oct 2021 17:41:49 -0400

Hi Daniel,

Lars Ingebrigtsen [2021-10-31 16:30:04] wrote:
> tsuucat <[email-masked]> writes:
>> The badge from https://elpa.gnu.org/packages/vertico.html is not broken.
>> (vertico 0.14, updated 2021-Aug-11)
>> The badge from https://elpa.gnu.org/packages/consult.html is broken.
>> (consult 0.12, updated 2021-Oct-11)
>> I read the broken badge (https://elpa.gnu.org/packages/consult.svg) and 
>> elpa-admin.el. I suspect `elpaa--string-width` returns 0.
> Perhaps Stefan has some insight here; added to the CCs.

I haven't had a chance to look at it yet, but this code is from Daniel,
so maybe he has an idea of what's going on?

        Stefan